
# coding: utf-8

# In[1]:

# import required python packages
#get_ipython().magic(u'matplotlib inline')
import numpy as np
from matplotlib  import cm
import matplotlib.pyplot as plt


# In[2]:

# set scan rate for DE7 output files

f = open('results.txt', 'r')
x = []
y = []
z = []

xplotmax = 0.0
yplotmax = 0.0
for line in f:
    columns = line.split()
    x.append(float(columns[0]))
    y.append(float(columns[1]))
    z.append(float(columns[2]))
    xplotmax = max(xplotmax,x[-1])
    yplotmax = max(yplotmax,y[-1])


# In[3]:

plt.figure(figsize=(6,6),dpi=100)
plt.rcParams['xtick.major.size'] = 5
plt.rcParams['xtick.major.width'] = 2
plt.rcParams['xtick.minor.size'] = 3
plt.rcParams['xtick.minor.width'] = 2
plt.rcParams['ytick.major.size'] = 5
plt.rcParams['ytick.major.width'] = 2
plt.rcParams['ytick.minor.size'] = 3
plt.rcParams['ytick.minor.width'] = 2
plt.rcParams['axes.linewidth'] = 2
plt.rcParams['lines.linewidth'] = 2
plt.rcParams['xtick.labelsize'] = 14
plt.rcParams['ytick.labelsize'] = 14
plt.ticklabel_format(axis='y', style='sci', scilimits=(-2,2))
plt.xlabel('Ru (Ohms)', fontsize=20)
plt.ylabel('Diffusion (cm$^2$/s)', fontsize=20)
plt.xlim(0, xplotmax)
plt.ylim(0, yplotmax)
plt.grid(True,linestyle='-',color='0.75')
plt.scatter(x,y,s=60,c=z, marker = 'o', cmap = cm.jet );
plt.savefig('surface.png')
plt.savefig('surface.ps')
plt.savefig('surface.pdf')

